From 6852bd86affa1a0a91cd141c5dd2b83bf6b646cc Mon Sep 17 00:00:00 2001
From: Chenxiong Qi <cqi@redhat.com>
Date: Jul 06 2018 15:48:40 +0000
Subject: Replace name module with repo in tests/fixtures/rpkg*.conf


Signed-off-by: Chenxiong Qi <cqi@redhat.com>

---

diff --git a/tests/fixtures/rpkg-container-own-config.conf b/tests/fixtures/rpkg-container-own-config.conf
index f81c696..504d5a5 100644
--- a/tests/fixtures/rpkg-container-own-config.conf
+++ b/tests/fixtures/rpkg-container-own-config.conf
@@ -2,13 +2,13 @@
 lookaside = http://localhost/repo/pkgs
 lookasidehash = md5
 lookaside_cgi = https://localhost/repo/pkgs/upload.cgi
-gitbaseurl = ssh://%(user)s@localhost/%(module)s
-anongiturl = git://localhost/%(module)s
+gitbaseurl = ssh://%(user)s@localhost/%(repo)s
+anongiturl = git://localhost/%(repo)s
 branchre = f\d$|f\d\d$|el\d$|olpc\d$|master$
 kojiprofile = koji
 build_client = koji
 clone_config =
-  bz.default-component %(module)s
+  bz.default-component %(repo)s
 
 [rpkg.container-build]
 kojiprofile = koji-container
diff --git a/tests/fixtures/rpkg-deprecated-kojiconfig.conf b/tests/fixtures/rpkg-deprecated-kojiconfig.conf
index adcd1da..dad93cd 100644
--- a/tests/fixtures/rpkg-deprecated-kojiconfig.conf
+++ b/tests/fixtures/rpkg-deprecated-kojiconfig.conf
@@ -2,10 +2,10 @@
 lookaside = http://localhost/repo/pkgs
 lookasidehash = md5
 lookaside_cgi = https://localhost/repo/pkgs/upload.cgi
-gitbaseurl = ssh://%(user)s@localhost/%(module)s
-anongiturl = git://localhost/%(module)s
+gitbaseurl = ssh://%(user)s@localhost/%(repo)s
+anongiturl = git://localhost/%(repo)s
 branchre = f\d$|f\d\d$|el\d$|olpc\d$|master$
 kojiconfig = /path/to/koji.conf
 build_client = koji
 clone_config =
-  bz.default-component %(module)s
+  bz.default-component %(repo)s
diff --git a/tests/fixtures/rpkg-has-distgit-namespaces.conf b/tests/fixtures/rpkg-has-distgit-namespaces.conf
index fb6e2e5..08b2306 100644
--- a/tests/fixtures/rpkg-has-distgit-namespaces.conf
+++ b/tests/fixtures/rpkg-has-distgit-namespaces.conf
@@ -2,12 +2,12 @@
 lookaside = http://localhost/repo/pkgs
 lookasidehash = md5
 lookaside_cgi = https://localhost/repo/pkgs/upload.cgi
-gitbaseurl = ssh://%(user)s@localhost/%(module)s
-anongiturl = git://localhost/%(module)s
+gitbaseurl = ssh://%(user)s@localhost/%(repo)s
+anongiturl = git://localhost/%(repo)s
 branchre = f\d$|f\d\d$|el\d$|olpc\d$|master$
 kojiprofile = koji
 build_client = koji
 clone_config =
-  bz.default-component %(module)s
+  bz.default-component %(repo)s
 distgit_namespaced = True
 distgit_namespaces = rpms modules containers
diff --git a/tests/fixtures/rpkg-ns.conf b/tests/fixtures/rpkg-ns.conf
index 22ab315..63ff75e 100644
--- a/tests/fixtures/rpkg-ns.conf
+++ b/tests/fixtures/rpkg-ns.conf
@@ -2,11 +2,11 @@
 lookaside = http://localhost/repo/pkgs
 lookasidehash = md5
 lookaside_cgi = https://localhost/repo/pkgs/upload.cgi
-gitbaseurl = ssh://%(user)s@localhost/%(module)s
-anongiturl = git://localhost/%(module)s
+gitbaseurl = ssh://%(user)s@localhost/%(repo)s
+anongiturl = git://localhost/%(repo)s
 branchre = f\d$|f\d\d$|el\d$|olpc\d$|master$
 kojiprofile = koji
 build_client = koji
 clone_config =
-  bz.default-component %(module)s
+  bz.default-component %(repo)s
 distgit_namespaced = True
diff --git a/tests/fixtures/rpkg.conf b/tests/fixtures/rpkg.conf
index 90bfd74..241194e 100644
--- a/tests/fixtures/rpkg.conf
+++ b/tests/fixtures/rpkg.conf
@@ -2,13 +2,13 @@
 lookaside = http://localhost/repo/pkgs
 lookasidehash = md5
 lookaside_cgi = https://localhost/repo/pkgs/upload.cgi
-gitbaseurl = ssh://%(user)s@localhost/%(module)s
-anongiturl = git://localhost/%(module)s
+gitbaseurl = ssh://%(user)s@localhost/%(repo)s
+anongiturl = git://localhost/%(repo)s
 branchre = f\d$|f\d\d$|el\d$|olpc\d$|master$
 kojiprofile = koji
 build_client = koji
 clone_config =
-  bz.default-component %(module)s
+  bz.default-component %(repo)s
 
 [rpkg.mbs]
 auth_method = oidc
diff --git a/tests/test_cli.py b/tests/test_cli.py
index 974fba5..fd4442d 100644
--- a/tests/test_cli.py
+++ b/tests/test_cli.py
@@ -959,7 +959,7 @@ class TestGitUrl(CliTestCase):
 
         last_commit = str(six.next(cli.cmd.repo.iter_commits()))
         expected_giturl = '{0}#{1}'.format(
-            cli.cmd.anongiturl % {'module': os.path.basename(self.repo_path)},
+            cli.cmd.anongiturl % {'repo': os.path.basename(self.repo_path)},
             last_commit)
         output = sys.stdout.getvalue().strip()
         self.assertEqual(expected_giturl, output)

